For the complete documentation index, see llms.txt. This page is also available as Markdown.

Relais

📫 Relais

Create a Relay Session

post

Create a relay session with users.

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
webhook_urlstringOptionnel

URL to send the session data to

Example: https://my-webhook.com/dump
Réponses
200

Success

application/json
session_idstringRequis

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptionnel

The authorization token for the session

Example: 3500589645
statusstringRequis

The status of the session

Example: READY
readybooleanRequis

If the session is ready to be used

linkedbooleanRequis

If the session is linked to a relay

errorstringOptionnel

The error message if the session failed

Example: Session failed
webhook_urlstringOptionnel

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post/v1/relays/sessions
POST /v1/relays/sessions HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "users": [],
  "filters": [],
  "webhook_url": "https://my-webhook.com/dump"
}
{
  "session_id": "7349356945f1-S",
  "authorization_token": 3500589645,
  "status": "READY",
  "ready": true,
  "linked": true,
  "error": "Session failed",
  "session_users": [
    {
      "ip_address": "1.1.1.1",
      "latitude": 45.5088,
      "longitude": -73.5878,
      "authorization_token": 21986334
    }
  ],
  "relay": {
    "ip": "2.2.2.2",
    "host": "7349356945f1.st.edgegap.net",
    "ports": {
      "server": {
        "port": 32000,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32000"
      },
      "client": {
        "port": 32001,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32001"
      }
    }
  },
  "webhook_url": "https://my-webhook.com/dump"
}

Get a Relay Session

get

Retrieve the information for a relay session.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
session_idstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
session_idstringRequis

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptionnel

The authorization token for the session

Example: 3500589645
statusstringRequis

The status of the session

Example: READY
readybooleanRequis

If the session is ready to be used

linkedbooleanRequis

If the session is linked to a relay

errorstringOptionnel

The error message if the session failed

Example: Session failed
webhook_urlstringOptionnel

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
get/v1/relays/sessions/{session_id}
GET /v1/relays/sessions/{session_id} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "session_id": "7349356945f1-S",
  "authorization_token": 3500589645,
  "status": "READY",
  "ready": true,
  "linked": true,
  "error": "Session failed",
  "session_users": [
    {
      "ip_address": "1.1.1.1",
      "latitude": 45.5088,
      "longitude": -73.5878,
      "authorization_token": 21986334
    }
  ],
  "relay": {
    "ip": "2.2.2.2",
    "host": "7349356945f1.st.edgegap.net",
    "ports": {
      "server": {
        "port": 32000,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32000"
      },
      "client": {
        "port": 32001,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32001"
      }
    }
  },
  "webhook_url": "https://my-webhook.com/dump"
}

List all Relay Sessions

get

List all the active relay sessions.

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
200

Success

application/json
total_countintegerRequisExample: 100
get/v1/relays/sessions
GET /v1/relays/sessions HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*
{
  "sessions": [
    {
      "session_id": "7349356945f1-S",
      "authorization_token": 3500589645,
      "status": "READY",
      "ready": true,
      "linked": true,
      "error": "Session failed",
      "session_users": [
        {
          "ip_address": "1.1.1.1",
          "latitude": 45.5088,
          "longitude": -73.5878,
          "authorization_token": 21986334
        }
      ],
      "relay": {
        "ip": "2.2.2.2",
        "host": "7349356945f1.st.edgegap.net",
        "ports": {
          "server": {
            "port": 32000,
            "protocol": "UDP",
            "link": "7349356945f1.st.edgegap.net:32000"
          },
          "client": {
            "port": 32001,
            "protocol": "UDP",
            "link": "7349356945f1.st.edgegap.net:32001"
          }
        }
      },
      "webhook_url": "https://my-webhook.com/dump"
    }
  ],
  "total_count": 100,
  "pagination": {
    "number": 1,
    "next_page_number": 2,
    "previous_page_number": 1,
    "paginator": {
      "num_pages": 10
    },
    "has_next": true,
    "has_previous": false
  }
}

Authorize a user on a Relay Session

post

Authorize a user on a Relay Session

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
session_idstringRequis

Session Request ID (ex: 0724828881e2-S)

Example: 0724828881e2-S
user_ipstringRequis

User Ip to Authorize

Example: 1.1.1.1
Réponses
200

Success

application/json
session_idstringRequis

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptionnel

The authorization token for the session

Example: 3500589645
statusstringRequis

The status of the session

Example: READY
readybooleanRequis

If the session is ready to be used

linkedbooleanRequis

If the session is linked to a relay

errorstringOptionnel

The error message if the session failed

Example: Session failed
session_useranyOptionnel
relayanyOptionnel
webhook_urlstringOptionnel

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post/v1/relays/sessions:authorize-user
POST /v1/relays/sessions:authorize-user HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "session_id": "0724828881e2-S",
  "user_ip": "1.1.1.1"
}
{
  "session_id": "7349356945f1-S",
  "authorization_token": 3500589645,
  "status": "READY",
  "ready": true,
  "linked": true,
  "error": "Session failed",
  "session_user": {},
  "relay": {},
  "webhook_url": "https://my-webhook.com/dump"
}

Remove a user on a Relay Session

post

Authorize a user on a Relay Session

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Corps
session_idstringRequis

Session Request ID (ex: 0724828881e2-S)

Example: 0724828881e2-S
authorization_tokenintegerRequis

Relay Authorization Token

Example: 3500589645
Réponses
200

Success

application/json
session_idstringRequis

The session ID

Example: 7349356945f1-S
authorization_tokenintegerOptionnel

The authorization token for the session

Example: 3500589645
statusstringRequis

The status of the session

Example: READY
readybooleanRequis

If the session is ready to be used

linkedbooleanRequis

If the session is linked to a relay

errorstringOptionnel

The error message if the session failed

Example: Session failed
webhook_urlstringOptionnel

The webhook URL that we will call once the session is ready

Example: https://my-webhook.com/dump
post/v1/relays/sessions:revoke-user
POST /v1/relays/sessions:revoke-user HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "session_id": "0724828881e2-S",
  "authorization_token": 3500589645
}
{
  "session_id": "7349356945f1-S",
  "authorization_token": 3500589645,
  "status": "READY",
  "ready": true,
  "linked": true,
  "error": "Session failed",
  "session_users": [
    {
      "ip_address": "1.1.1.1",
      "latitude": 45.5088,
      "longitude": -73.5878,
      "authorization_token": 21986334
    }
  ],
  "relay": {
    "ip": "2.2.2.2",
    "host": "7349356945f1.st.edgegap.net",
    "ports": {
      "server": {
        "port": 32000,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32000"
      },
      "client": {
        "port": 32001,
        "protocol": "UDP",
        "link": "7349356945f1.st.edgegap.net:32001"
      }
    }
  },
  "webhook_url": "https://my-webhook.com/dump"
}

Delete a Relay Session

delete

Delete a relay session.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
session_idstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringRequisExample: application/json
Réponses
204

No Content

Aucun contenu

delete/v1/relays/sessions/{session_id}
DELETE /v1/relays/sessions/{session_id} HTTP/1.1
Host: api.edgegap.com
Authorization: YOUR_API_KEY
Content-Type: text
Accept: */*

Aucun contenu

Mis à jour

Ce contenu vous a-t-il été utile ?